<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{6FA94ADD-CFDA-4DD2-BD63-428884ACDE62}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>EhLib.WinForms.Design</RootNamespace>
    <AssemblyName>EhLib.WinForms.Design</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>true</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>EhLib.WinForms.Design.snk</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Design" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Design\BaseEditBoxDesigner.cs" />
    <Compile Include="Design\BoundLabelDesigner.cs" />
    <Compile Include="Design\SimpleRichEditDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Design\SimpleRichEditDialog.Designer.cs">
      <DependentUpon>SimpleRichEditDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Design\MaskPropertyEditor.cs" />
    <Compile Include="Design\ComboBoxDesigner.cs" />
    <Compile Include="Design\DataAxisGridAddBoundBandsDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Design\DataAxisGridAddBoundBandsDialog.Designer.cs">
      <DependentUpon>DataAxisGridAddBoundBandsDialog.cs</DependentUpon>
    </Compile>
    <Compile Include="Design\DataAxisGridDesigner.cs" />
    <Compile Include="Design\DataAxisGridPropertyBarsEditor.cs" />
    <Compile Include="Design\DataGridAddColumnDialog.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Design\DataGridColumnDesigner.cs" />
    <Compile Include="Design\DataGridColumnsEditor.cs" />
    <Compile Include="Design\DataGridDesigner.cs" />
    <Compile Include="Design\DataGridDynaColumnCellsEditor.cs" />
    <Compile Include="Design\DataGridFooterRowsEditor.cs" />
    <Compile Include="Design\DataVertGridDesigner.cs" />
    <Compile Include="Design\DataVertGridRowsEditor.cs" />
    <Compile Include="Design\InEditControlDesigner.cs" />
    <Compile Include="Design\ObjectSelectorEditorByType.cs" />
    <Compile Include="Design\TextBoxEhDesigner.cs" />
    <Compile Include="Forms\FormAbout.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="Forms\FormAbout.Designer.cs">
      <DependentUpon>FormAbout.cs</DependentUpon>
    </Compile>
    <Compile Include="NativeMethods.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Design\SimpleRichEditDialog.resx">
      <DependentUpon>SimpleRichEditDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Design\DataAxisGridAddBoundBandsDialog.resx">
      <DependentUpon>DataAxisGridAddBoundBandsDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Design\DataGridAddColumnDialog.resx">
      <DependentUpon>DataGridAddColumnDialog.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Forms\FormAbout.resx">
      <DependentUpon>FormAbout.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="EhLib.WinForms.Design.snk" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\EhLib.WinForms\EhLib.WinForms.csproj">
      <Project>{b53d52dd-88a0-4f94-8f0d-63b644cdf7b3}</Project>
      <Name>EhLib.WinForms</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>